REM	Update-SH-ice.cmd - retrieve one or more days of sea-ice data
REM	2005 Nov 07	Add NH data as well as SH data

REM Ensure we are at the correct location

CD C:\MSG\images\

REM Look back over a certain number of days, 7 in this example
REM For each day, call the embedded subroutine which processes a day

FOR /L %%d IN (0,1,7) DO CALL :ONE_DAY  %%d

GOTO :EOF



:ONE_DAY

REM This sets the year, month day etc. variables
FOR /f "tokens=1-6 delims=/:. " %%i IN ('GetUtcDateTimeString -%1') DO (
  set yy=%%i
  set mm=%%j
  set dd=%%k
  set hh=%%l
  set nn=%%m
  set ss=%%n
)

REM Tell the caller what we are now processing
ECHO Processing %yy%-%mm%-%dd%

REM See if the expected file already exists, and get it if not.

IF NOT EXIST SAF\%yy%\%mm%\%dd%\ice_conc_sh_%yy%%mm%%dd%1200.grb (
  wget  --cache=off  --timestamping  --directory-prefix=SAF\%yy%\%mm%\%dd%\  ftp://saf.met.no/prod/ice/conc/ice_conc_sh_%yy%%mm%%dd%1200.grb
)
IF NOT EXIST SAF\%yy%\%mm%\%dd%\ice_edge_sh_%yy%%mm%%dd%1200.grb (
  wget  --cache=off  --timestamping  --directory-prefix=SAF\%yy%\%mm%\%dd%\  ftp://saf.met.no/prod/ice/edge/ice_edge_sh_%yy%%mm%%dd%1200.grb
)
IF NOT EXIST SAF\%yy%\%mm%\%dd%\ice_type_sh_%yy%%mm%%dd%1200.grb (
  wget  --cache=off  --timestamping  --directory-prefix=SAF\%yy%\%mm%\%dd%\  ftp://saf.met.no/prod/ice/type/ice_type_sh_%yy%%mm%%dd%1200.grb
)

IF NOT EXIST SAF\%yy%\%mm%\%dd%\ice_conc_nh_%yy%%mm%%dd%1200.grb (
  wget  --cache=off  --timestamping  --directory-prefix=SAF\%yy%\%mm%\%dd%\  ftp://saf.met.no/prod/ice/conc/ice_conc_nh_%yy%%mm%%dd%1200.grb
)
IF NOT EXIST SAF\%yy%\%mm%\%dd%\ice_edge_nh_%yy%%mm%%dd%1200.grb (
  wget  --cache=off  --timestamping  --directory-prefix=SAF\%yy%\%mm%\%dd%\  ftp://saf.met.no/prod/ice/edge/ice_edge_nh_%yy%%mm%%dd%1200.grb
)
IF NOT EXIST SAF\%yy%\%mm%\%dd%\ice_type_nh_%yy%%mm%%dd%1200.grb (
  wget  --cache=off  --timestamping  --directory-prefix=SAF\%yy%\%mm%\%dd%\  ftp://saf.met.no/prod/ice/type/ice_type_nh_%yy%%mm%%dd%1200.grb
)

